Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Aktionsrecorder Startansicht

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Aktionsrecorder Startansicht (200 mal gelesen)
csfalk
Mitglied
IT-Admin / CAD-Zeichner


Sehen Sie sich das Profil von csfalk an!   Senden Sie eine Private Message an csfalk  Schreiben Sie einen Gästebucheintrag für csfalk

Beiträge: 153
Registriert: 14.06.2012

AutoCad Civil 3D 2020-2022
Autoturn
Rehm Wasserwirtschaft
Fluss
Flussplot
Cross
Graps
Hykas
Kanalplot
W10 x64

erstellt am: 07. Dez. 2021 12:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Gemeinde,

ich habe ein kleines Problemchen. Ich habe mit dem Aktionsrecorder eine Aktion aufgenommen. Diese beinhaltet den Befehl einen Text auszuwählen und um einen bestimmten Wert vom Basispunkt des Textes zu verschieben. Klappt soweit auch gut. Wenn ich diese Aktion für einen weiteren Text, der sehr weit entfernt vom Aufnahmeort ist ausführe, springt die Ansicht beim starten an den Ort in der Zeichnung wo ich die Aktion aufgezeichnet habe. Jetzt muß ich immer zu dem Text zoomen welchen ich verschieben will. Gibt es eine Möglichkeit die augenommene Aktion an Ort und stelle auszuführen wo ich mich gerade in der Zeichnung befinde?

Oder wäre dies ober eine Lisp möglich.

Ich hoffe ich habe mich verständlich genug ausgedrückt.

Vielen Dank für Eure Hilfe und eventuell Tip.

LG csfalk

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20965
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 07. Dez. 2021 12:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für csfalk 10 Unities + Antwort hilfreich

Da du dein Aktionsmakro nicht zeigst gehe ich aktuell davon aus das
auch eine unerwähnte Meldung erscheint?
und du einfach eine falsche Objektwahlmethode im AM hast (nämlich eine Objektwahl anhand fixer Koordinaten),
in dem Fall hattest du also Glück das kein Objekt gefunden wurde und das Makro anhält (falls es das macht)
und dich nach der Objektwahhl fragt.
Anderfalls wäre nun ein anderes Objekt verschoben welche du nicht verschieben wolltest.
GlaskugelOFF.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

csfalk
Mitglied
IT-Admin / CAD-Zeichner


Sehen Sie sich das Profil von csfalk an!   Senden Sie eine Private Message an csfalk  Schreiben Sie einen Gästebucheintrag für csfalk

Beiträge: 153
Registriert: 14.06.2012

AutoCad Civil 3D 2020-2022
Autoturn
Rehm Wasserwirtschaft
Fluss
Flussplot
Cross
Graps
Hykas
Kanalplot
W10 x64

erstellt am: 07. Dez. 2021 12:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo CADFFM,

vielen Dank für die schnelle Antwort. Die Aktion/Ablauf soll folgendermaßen funktionieren.
Starten der Aktion, manuelle Auswahl des Textes. Danach soll/wird der Text um einen bestimmten Wert verschoben. Startpunkt der verschiebung ist der Basispunkt des Textes. Das funktioniert ja auch super.

Nur wenn ich diese Aktion an einer anderen Stelle in der Zeichnung starte, springt die Ansicht immer zu der Stelle an der die Aktion aufgezeichnet wurde. Ich muss mich dann erst wieder zu der Stelle zoomen, wo ich einen weiteren Text verschieben lassen möchte.

LG csfalk

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

csfalk
Mitglied
IT-Admin / CAD-Zeichner


Sehen Sie sich das Profil von csfalk an!   Senden Sie eine Private Message an csfalk  Schreiben Sie einen Gästebucheintrag für csfalk

Beiträge: 153
Registriert: 14.06.2012

AutoCad Civil 3D 2020-2022
Autoturn
Rehm Wasserwirtschaft
Fluss
Flussplot
Cross
Graps
Hykas
Kanalplot
W10 x64

erstellt am: 07. Dez. 2021 12:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielleicht denke ich da auch zu kompliziert. Vielleicht würde es ja auch mit einer Lisp gehen.
Vorstellung ist die
- Lisp starten
- Text manuell auswählen
- Text wird um Wert X nach oben verschoben

So ist eigentlich mein Ziel. Vielleicht ist es mit dem Aktionsrecorder auch zu kompliziert gedacht. Leider kenne ich mit Lisperstellung nicht aus.
Bleibt mir aber immer noch die Frage warum eine aufgenommene Aktion immer dort starten möchte wo sie in der Zeichnung aufgenommen wurde.
Hoffe ich konnte es einigermaßen erklären.

Vielen Dank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20965
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 07. Dez. 2021 13:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für csfalk 10 Unities + Antwort hilfreich

>>"Vielleicht denke ich da auch zu kompliziert. Vielleicht würde es ja auch mit einer Lisp gehen."
Lisp ist ein Programmiersprache und millionenfach mächtiger wie der Aktionsrekorder.

Der Aktionsrekorder(AR) ist haupsächlich für zwei Dinge/Anwender gut:
1. Leute die sich nicht mit dem Schreiben von Menümakros und Scripten beschäftigen wollen (Fehler)
2. Es ist eine Möglichkeit Befehle zu erstellen oder eine Programmiersprache zu bemühen.
    (deswegen ist es doppelt ärgerlich dass der AR nicht in LT enthalten ist).

Die AM des AR sind schwer zu editieren und mit dem "freien Schreiben" eines ordentlichen Menümakros oder Script ist man
weiteraus besser bedient- dazu noch 3 Lispfunktionen die man schnell gelernt hat und der AR ist vergessen.


>>"- Lisp starten - Text manuell auswählen - Text wird um Wert X nach oben verschoben"
Super Beispiel, dazu brauchst du weder den AR noch Lisp,
was du beschreibst ist der normale SCHIEBEN Befehl, mehr nicht.

Geht es wirklich immer nur um EIN Objekt?

[E D I T I E R T !]

^C^C^C_.MOVE;\;_none;;_none;0,40

oder eben
(defun c:SY40 nil (command "_.MOVE" PAUSE "" "" "_none" "0,40")(princ))

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

csfalk
Mitglied
IT-Admin / CAD-Zeichner


Sehen Sie sich das Profil von csfalk an!   Senden Sie eine Private Message an csfalk  Schreiben Sie einen Gästebucheintrag für csfalk

Beiträge: 153
Registriert: 14.06.2012

AutoCad Civil 3D 2020-2022
Autoturn
Rehm Wasserwirtschaft
Fluss
Flussplot
Cross
Graps
Hykas
Kanalplot
W10 x64

erstellt am: 07. Dez. 2021 13:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Super. Vielen Dank für die tolle Erklärung und die Zeit. Werde ich gleich probieren.

LG csfalk

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz